# Contributing to govips
First, thank you for supporting. I believe together we can make this one of the most useful Go libraries for image manipulation available.

## Have an issue, idea or question?
Please create a [new issue](https://github.com/davidbyttow/govips/issues/new) with as much information as possible.

If you're having installation problems, please include any and all output from your commandline.

## Want to write some code?
I'd love it for you to take initiative and submit pull requests. Please ensure your code has unit tests to support the change, including negative ones as well to cover all the code. If you add image manipulation code, I suggest adding a unit test to the golden tests. After running the golden test files will be added to the resources directory, submit them in the PR as well. Let's do this together! I'll add you to the list of contributors.

## Strict linting
The CI/CD currently checks strict format and linting, so be sure to add comments!

## Run the tests

```bash
$ make test
```

## Get in touch

Have a question not covered here? Feel free to email me at [david.byttow@gmail.com](mailto:david.byttow@gmail.com)
